!
!
!  xlf_r -qsmp hello3.f
!
!
      PROGRAM HELLO
      INTEGER NTHREADS, TID, OMP_GET_NUM_THREADS,
     +        OMP_GET_THREAD_NUM
!!$OMP PARALLEL DEFAULT(NONE) PRIVATE(TID) SHARED(NTHREADS)
!!$OMP PARALLEL PRIVATE(TID) SHARED(NTHREADS)
!!$OMP PARALLEL PRIVATE(TID) 


!$OMP PARALLEL PRIVATE(TID,NTHREADS) 
      TID = OMP_GET_THREAD_NUM()
      PRINT *, 'Hello World from thread = ', TID
!$OMP SINGLE
      NTHREADS = OMP_GET_NUM_THREADS()
      PRINT *, 'Inside single, NTHREADS= ', NTHREADS
!$OMP END SINGLE
!$OMP END PARALLEL
      PRINT *, 'Right after after parallel, NTHREADS = ', NTHREADS
!   nanovo definuj
      NTHREADS = OMP_GET_NUM_THREADS()
      PRINT *, 'A new query = ', NTHREADS
      END
